-- AAABootime for RIFT by Vritra
-- use with ZZZBootime
-- Print all your addon boot time (between Addon_Load_Begin and Addon_Load_End).
-- Without after Addon_Load_End.

AddonBooties = {}

table.insert(Event.Addon.Load.Begin, {function(addon)
	local tm = Inspect.Time.Real()
	table.insert(AddonBooties, {name = addon, taim = tm})
end, "AAABootime", "AddonLoadBegin"})

table.insert(Event.Addon.Load.End, {function(addon)
	local tm = Inspect.Time.Real()
	for _, v in ipairs(AddonBooties) do
		if v.name == addon then
			v.taim = tm-v.taim
		end
	end
end, "AAABootime", "AddonLoadEnd"})
